Page MenuHomeFreeBSD

[showmount] implement long options
ClosedPublic

Authored by eadler on Nov 25 2019, 8:35 AM.
Tags
None
Referenced Files
F81736588: D22543.diff
Sat, Apr 20, 4:32 PM
Unknown Object (File)
Thu, Apr 18, 11:48 AM
Unknown Object (File)
Wed, Apr 17, 12:42 PM
Unknown Object (File)
Tue, Apr 16, 11:54 PM
Unknown Object (File)
Fri, Apr 12, 3:35 AM
Unknown Object (File)
Mon, Apr 1, 2:36 AM
Unknown Object (File)
Fri, Mar 29, 9:53 PM
Unknown Object (File)
Jan 29 2024, 1:42 PM
Subscribers

Details

Summary

add long options support to showmount. Where mappings exist use the GNU
names for said options.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Passed
Unit
No Test Coverage
Build Status
Buildable 27755
Build 25952: arc lint + arc unit

Event Timeline

usr.bin/showmount/showmount.c
131

Generally when converting to long opts, we should use the '+' leading specifier to maintain preexisting behavior of getopt(3) of halting at the first non-option argument, unless it's really advantageous and we've documented the behavior change.

This revision was not accepted when it landed; it landed in state Needs Review.Dec 12 2019, 5:13 AM
This revision was automatically updated to reflect the committed changes.